POST searchCI
URL: hhttp://{{server-url}}/api/v1/cmdb/ci/search/byqual
Example: http://{{server-url}}/api/v1/cmdb/ci/search/byqual
Header: Authorization: Bearer/API Key
Example Request:
curl --location 'http://172.16.11.157/api/v1/cmdb/ci/search/byqual' \
--header 'Authorization: Apikey s3THjh8WdIbG6%2F5J%40%2B%2Fm6lV9LpOIAH4LOAMMIqHE%2B7BKqyb9zbFamUHSEnnH8nCk4NUN0jQ%3D%3D' \
--header 'Content-Type: application/json' \
--data '{}'
Example Response:
{
"objectList": [
{
"id": 11,
"name": "Motadata-AR",
"impactName": "On Department",
"statusName": "Operational",
"origin": "agent",
"usedByEmail": "adam@motadata.com",
"tags": [],
"createdDate": "25/06/2025 02:47 pm",
"updatedDate": "25/06/2025 07:52 pm",
"fileAttachments": [],
"createdByName": "System",
"updatedByName": "System",
"ipAddress": "172.16.12.137",
"hostName": "Motadata-AR",
"macAddress": "00:50:56:9E:25:98",
"firstScanDate": "Wed, Jun 25, 2025 02:47 pm",
"lastScanDate": "Wed, Jun 25, 2025 07:52 pm",
"ciTypeName": "Windows Desktop",
"ciId": "CI-1",
"ciPropertyList": [
{
"id": 11,
"refName": "CI-1",
"type": "HardwareProperty",
"serialNumber": "VMware-42 1e 5a 33 a6 6c e5 eb-38 8e 7c bf 3c b5 8b 8e",
"manufacturerName": "VMware, Inc.",
"propertyCustomField": null
},
{
"id": 11,
"refName": "CI-1",
"type": "ComputerProperty",
"osName": "Microsoft Windows 11 Pro",
"osVersion": "10.0.26100",
"servicePackName": null,
"osLicenceKey": "VK7JG-NPHTM-C97JM-9MPGT-3V66T",
"osManufacturerName": "Microsoft Corporation",
"osArchitecture": "bit_64",
"bootupState": "Normal boot",
"memorySize": 8.0,
"diskSize": 89.99,
"domainName": "WORKGROUP",
"cpuSpeed": 0.0,
"cpuCoreCount": 0,
"partOfDomain": false,
"numberOfLogicalProcessors": 2,
"numberOfProcessors": 2,
"pcSystemType": "desktop",
"lastLoggedInUser": null,
"activationStatus": "notification",
"displayVersion": "24H2",
"buildNo": "26100.4349",
"lastRebootTime": "11/06/2025 04:45 am",
"propertyCustomField": null
}
],
"concreteModel": "cmdb"
},
],
"totalCount": 1
}